--- a/arch/x86/kernel/cpu/amd.c	2018-08-28 18:07:45.148373843 +1000
+++ b/arch/x86/kernel/cpu/amd.c	2018-09-08 20:40:52.820838835 +1000
@@ -821,9 +821,13 @@
 	/*
 	 * Fix erratum 1076: CPB feature bit not being set in CPUID. It affects
 	 * all up to and including B1.
+	 *
+	 * FMA4, while present and working on Zen up to and including B1, is not
+	 * exposed by the CPUID instruction, let's fix that here.
 	 */
 	if (c->x86_model <= 1 && c->x86_stepping <= 1)
 		set_cpu_cap(c, X86_FEATURE_CPB);
+		set_cpu_cap(c, X86_FEATURE_FMA4);
 }
 
 static void init_amd(struct cpuinfo_x86 *c)
